//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fsdeletedirentry.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"



// MARK DIRECTORY ENTRY AS DELETED

int FSDeleteDirEntry(FS_FILE *file)
{
char *buffer,*mainentry;
int f,bytesread;

buffer=(char *)malloc(32*(file->DirEntryNum+1));
if(!buffer) return FS_ERROR;

FSSeek(file->Dir,file->DirEntryOffset,SEEK_SET);

bytesread=FSReadLL(buffer,file->DirEntryNum<<5,file->Dir,FSystem.Volumes[file->Volume]);
if(bytesread<(file->DirEntryNum<<5))
{
free(buffer);
return FS_ERROR;
}


mainentry=buffer;

for(f=0;f<file->DirEntryNum;++f,mainentry+=32)
{
mainentry[0]=0xe5;
}


FSSeek(file->Dir,file->DirEntryOffset,SEEK_SET);

if(FSWriteLL(buffer,bytesread,file->Dir,FSystem.Volumes[file->Volume])!=bytesread)
{
free(buffer);
return FS_ERROR;
}

free(buffer);
return FS_OK;

}

