//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fsgetcreattime.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"

void FSGetCreatTime(FS_FILE *file,struct tm *dt)
{

dt->tm_sec=((file->CreatTimeDate&31)<<1) + file->CrtTmTenth/100;
dt->tm_min=(file->CreatTimeDate>>5)&63;
dt->tm_hour=(file->CreatTimeDate>>11)&31;
dt->tm_mday=(file->CreatTimeDate>>16)&31;
dt->tm_mon=((file->CreatTimeDate>>21)&15) -1;		// month from 0 to 11
dt->tm_year=(file->CreatTimeDate>>25)+80;	// COUNT YEARS FROM 1900 INSTEAD OF 1980
dt->tm_wday=0;
dt->tm_yday=0;
dt->tm_isdst=0;

return;
}
