//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file as well as the entire HPG library was written by Chris Smith
//& for HPGCC 1.0, now maintained by the HPGCC3 team.
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include <stdlib.h>
#include <string.h>
#include "hpgraphics.h"
#include "hpgpriv.h"

extern void *alloca(int size);

hpg_t *hpg_load_xpm_gray4(char *xpm[])
{
    hpg_init();

    struct hpg_xpm_info info = _hpg_get_xpm_info(xpm);

    hpg_t *img = hpg_alloc_gray4_image(info.width, info.height);
    if (img == NULL) return NULL;

    _hpg_load_xpm(info, img, xpm);
    return img;
}
