//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


// $Id: puts.c 514 2007-11-18 03:11:26Z ingo $

#include <stdio.h>
#include <string.h>
#include <conio.h>
#include <master_globals.h>

// GENERIC VERSION

int puts(const char *str)
{
	return (*(__console[__mg->__console_type].puts))(str);
}
int puts_nonl(const char *str)
{
	return (*(__console[__mg->__console_type].puts_nonl))(str);
}

// NULL-CONSOLE VERSION

int dummy_puts(const char *str)
{
	return 1;
}
int dummy_puts_nonl(const char *str)
{
	return 1;
}

// OLD-STYLE CONSOLE

int
puts_orig(const char *str)
{

    int count=strlen(str);
     for(; count>0 ; count--)
         putchar_orig(*str++);
    putchar_orig('\n');

    return 1;
}

int
puts_nonl_orig(const char *str)
{

    int count=strlen(str);
     for(; count>0 ; count--)
         putchar_orig(*str++);

    return 1;
}

// NEW STYLE CONSOLE IS DEFINED IN gconsole.cpp

