//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


#include <sys.h>

// ROMLIB CHECKED

//RTC ticks are good for slow timing (between 1hz and 64hz). They are
//independant of CPU frequency.

int sys_isRTCTick()
{ 
    //returns 1 if the RTC Tick interrupt is pending (if so, this routine clears it)
    //0 otherwise
     
    unsigned int volatile * SRCPND = (int*) 0x7100000;
    if((*SRCPND&0x100)!=0x100)
    {
        //not pending
        return 0;
    }
    *SRCPND = 0x100 ; //clear the tick interrupt
    return 1;
}
