//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***




// $Id: sys_tm_RTC.c 514 2007-11-18 03:11:26Z ingo $



#include <time.h>
#include <sys.h>


// ROMLIB CHECKED

void
sys_tm_RTC(struct tm *t)
{
    t->tm_sec     = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x70));
    t->tm_min     = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x74)) ;
    t->tm_hour = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x78));
    t->tm_mday = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x7C));
    t->tm_mon    = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x84)) - 1;
    t->tm_year = sys_bcd2bin(*(unsigned char*)(RTC_REGS+0x88)) + 100; 
    //printf("DEBUG: RTC(DOW)=%d\n",*((unsigned char*)(RTC_REGS+0x80)));
    t->tm_wday = (*((unsigned char*)(RTC_REGS+0x80)) & 7) - 1;  // [0..6] DOESN'T WORK !!!
    t->tm_isdst = -1;
    
}



